#include "../../include/error.h"
#include "../../include/pool.h"
#include "../../include/util.h"
#include "../../include/ctx.h"

#include <stdlib.h>
#include <stdio.h>

void lm_ctx_ping(lm_ctx_t *ctx, lm_ctx_ping_callback_t callback, void *data){
  lm_pool_t *cur = ctx->pools;
  while (NULL != cur) {
    lm_pool_test(cur);

    if (!cur->available)
      pdebug(__func__, "(%s) not avaliable: %s", cur->name, lm_strerror());

    if(NULL != callback)
      if(!callback(ctx, cur, cur->available, data))
        break;

    cur = cur->next;
  }
}
